Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPaint2D

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIPaint2D
                  org.richfaces.component.html.HtmlPaint2D

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlPaint2D

extends UIPaint2D

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlPaint2D()`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.String` | `getBgcolor()` Getter for property bgcolor - background color of painted image
`java.lang.String` | `getBorder()`
`javax.faces.convert.Converter` | `getConverter()`
`java.lang.Object` | `getData()` Getter for property Data to store in URL and passed to pain method. can be used as cache key or parameter for image generation., implementation will be generated by components-generator
`java.lang.String` | `getDir()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFormat()` Getter for property output format of image ( suport gif,jpeg,png), implementation will be generated by components-generator
`int` | `getHeight()` Getter for property image height, implementation will be generated by components-generator
`java.lang.String` | `getHspace()`
`java.lang.String` | `getLang()`
`javax.faces.el.MethodBinding` | `getPaint()` Getter for property Paint methodBinding, implementation will be generated by components-generator
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTitle()`
`java.lang.Object` | `getValue()`
`java.lang.String` | `getVspace()`
`int` | `getWidth()` Getter for property image width, implementation will be generated by components-generator
`boolean` | `isCacheable()` Getter for property cache support, implementation will be generated by components-generator
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAlign(java.lang.String _align)`
`void` | `setAlt(java.lang.String _alt)`
`void` | `setBgcolor(java.lang.String _bgcolor)` Setter for property bgcolor - background color of painted image
`void` | `setBorder(java.lang.String _border)`
`void` | `setCacheable(boolean _cacheable)` Setter for property cache support, implementation will be generated by components-generator
`void` | `setConverter(javax.faces.convert.Converter _converter)`
`void` | `setData(java.lang.Object _data)` Setter for property Data to store in URL and passed to pain method. can be used as cache key or parameter for image generation., implementation will be generated by components-generator
`void` | `setDir(java.lang.String _dir)`
`void` | `setFormat(java.lang.String _format)` Setter for property output format of image ( suport gif,jpeg,png), implementation will be generated by components-generator
`void` | `setHeight(int _height)` Setter for property image height, implementation will be generated by components-generator
`void` | `setHspace(java.lang.String _hspace)`
`void` | `setLang(java.lang.String _lang)`
`void` | `setPaint(javax.faces.el.MethodBinding _paint)` Setter for property Paint methodBinding, implementation will be generated by components-generator
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setTitle(java.lang.String _title)`
`void` | `setValue(java.lang.Object _value)`
`void` | `setVspace(java.lang.String _vspace)`
`void` | `setWidth(int _width)` Setter for property image width, implementation will be generated by components-generator

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlPaint2D

    public HtmlPaint2D()

Method Detail

### getAlign

    public java.lang.String getAlign()

### setAlign

    public void setAlign(java.lang.String _align)

### getAlt

    public java.lang.String getAlt()

### setAlt

    public void setAlt(java.lang.String _alt)

### getBgcolor

    public java.lang.String getBgcolor()

  Description copied from class: `UIPaint2D`
  Getter for property bgcolor - background color of painted image

  Specified by:
    `getBgcolor` in class `UIPaint2D`
  Returns:

### setBgcolor

    public void setBgcolor(java.lang.String _bgcolor)

  Description copied from class: `UIPaint2D`
  Setter for property bgcolor - background color of painted image

  Specified by:
    `setBgcolor` in class `UIPaint2D`
  Parameters:
    `_bgcolor` - -

### getBorder

    public java.lang.String getBorder()

### setBorder

    public void setBorder(java.lang.String _border)

### isCacheable

    public boolean isCacheable()

  Description copied from class: `UIPaint2D`
  Getter for property cache support, implementation will be generated by components-generator

  Specified by:
    `isCacheable` in class `UIPaint2D`
  Returns:
    property value

### setCacheable

    public void setCacheable(boolean _cacheable)

  Description copied from class: `UIPaint2D`
  Setter for property cache support, implementation will be generated by components-generator

  Specified by:
    `setCacheable` in class `UIPaint2D`
  Parameters:
    `_cacheable` - - new property value

### getConverter

    public javax.faces.convert.Converter getConverter()

### setConverter

    public void setConverter(javax.faces.convert.Converter _converter)

### getData

    public java.lang.Object getData()

  Description copied from class: `UIPaint2D`
  Getter for property Data to store in URL and passed to pain method. can be used as cache key or parameter for image generation., implementation will be generated by components-generator

  Specified by:
    `getData` in class `UIPaint2D`
  Returns:
    property value

### setData

    public void setData(java.lang.Object _data)

  Description copied from class: `UIPaint2D`
  Setter for property Data to store in URL and passed to pain method. can be used as cache key or parameter for image generation., implementation will be generated by components-generator

  Specified by:
    `setData` in class `UIPaint2D`
  Parameters:
    `_data` - - new property value

### getDir

    public java.lang.String getDir()

### setDir

    public void setDir(java.lang.String _dir)

### getFormat

    public java.lang.String getFormat()

  Description copied from class: `UIPaint2D`
  Getter for property output format of image ( suport gif,jpeg,png), implementation will be generated by components-generator

  Specified by:
    `getFormat` in class `UIPaint2D`
  Returns:
    property value

### setFormat

    public void setFormat(java.lang.String _format)

  Description copied from class: `UIPaint2D`
  Setter for property output format of image ( suport gif,jpeg,png), implementation will be generated by components-generator

  Specified by:
    `setFormat` in class `UIPaint2D`
  Parameters:
    `_format` - - new property value

### getHeight

    public int getHeight()

  Description copied from class: `UIPaint2D`
  Getter for property image height, implementation will be generated by components-generator

  Specified by:
    `getHeight` in class `UIPaint2D`
  Returns:
    property value

### setHeight

    public void setHeight(int _height)

  Description copied from class: `UIPaint2D`
  Setter for property image height, implementation will be generated by components-generator

  Specified by:
    `setHeight` in class `UIPaint2D`
  Parameters:
    `_height` - - new property value

### getHspace

    public java.lang.String getHspace()

### setHspace

    public void setHspace(java.lang.String _hspace)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String _lang)

### getPaint

    public javax.faces.el.MethodBinding getPaint()

  Description copied from class: `UIPaint2D`
  Getter for property Paint methodBinding, implementation will be generated by components-generator

  Specified by:
    `getPaint` in class `UIPaint2D`
  Returns:
    property value

### setPaint

    public void setPaint(javax.faces.el.MethodBinding _paint)

  Description copied from class: `UIPaint2D`
  Setter for property Paint methodBinding, implementation will be generated by components-generator

  Specified by:
    `setPaint` in class `UIPaint2D`
  Parameters:
    `_paint` - - new property value

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String _title)

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object _value)

### getVspace

    public java.lang.String getVspace()

### setVspace

    public void setVspace(java.lang.String _vspace)

### getWidth

    public int getWidth()

  Description copied from class: `UIPaint2D`
  Getter for property image width, implementation will be generated by components-generator

  Specified by:
    `getWidth` in class `UIPaint2D`
  Returns:
    property value

### setWidth

    public void setWidth(int _width)

  Description copied from class: `UIPaint2D`
  Setter for property image width, implementation will be generated by components-generator

  Specified by:
    `setWidth` in class `UIPaint2D`
  Parameters:
    `_width` - - new property value

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.